require "blue/resque/version"
require "blue/resque/capistrano/integration"

module Blue
  module Resque

    Blue::Gems.require('blue-resque')

    def self.configure
      Blue.configure({
        :resque => {
          :queues => {}
        }
      })
    end

    def self.worker_pid_path(worker_id)
      File.join(Blue.shared_path, 'pids', "/resque_worker_#{worker_id}.pid")
    end

    def resque_monitoring
      if Blue.const_defined?(:Monit)
        file "/etc/monit/conf.d/resque.conf",
          :ensure  => :present,
          :mode    => '700',
          :backup  => false,
          :content => template(File.join(File.dirname(__FILE__), '..', '..', 'templates', 'monit.conf.erb'), binding),
          :notify  => service('monit')

      elsif Blue.const_defined?(:God)
        # Define this yo'self homie.
      end
    end

    def self.included(klass)
      klass.add_role(:resque)
      klass.class_eval do
        recipe :resque_monitoring
      end
    end
  end
end

Blue::Resque.configure

